Update Product by ID
The “Update Product by ID” API allows modifying information for a specific product using its unique identifier. Use this endpoint to update details for a single product based on the provided product ID.
PUT
/
products
/
{productId}
Update Product by ID
curl --request PUT \
--url https://services.leadconnectorhq.com/products/{productId} \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"name": "Awesome Product",
"locationId": "3SwdhCsvxI8Au3KsPJt6",
"description": "Product description goes here.",
"image": "https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png",
"statementDescriptor": "abcde",
"availableInStore": true,
"medias": [
{
"id": "fzrgusiuu0m",
"url": "https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/sample.png",
"type": "image",
"title": "1dd7dcd0-e71d-4cf7-a06b-6d47723d6a29.png",
"isFeatured": true,
"priceIds": "6578278e879ad2646715ba9c"
}
],
"variants": [
{
"id": "38s63qmxfr4",
"name": "Size",
"options": [
{
"id": "h4z7u0im2q8",
"name": "XL"
}
]
}
],
"collectionIds": [
"65d71377c326ea78e1c47df5",
"65d71377c326ea78e1c47d34"
],
"isTaxesEnabled": true,
"taxes": [
"654492a4e6bef380114de15a"
],
"automaticTaxCategoryId": "65d71377c326ea78e1c47df5",
"isLabelEnabled": true,
"slug": "awesome-product",
"seo": {
"title": "Best Product - Buy Now",
"description": "This is the best product you can buy online with amazing features and great value"
},
"taxInclusive": true,
"prices": [
"<string>"
]
}
'const options = {
method: 'PUT',
headers: {Version: '<version>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Awesome Product',
locationId: '3SwdhCsvxI8Au3KsPJt6',
description: 'Product description goes here.',
image: 'https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png',
statementDescriptor: 'abcde',
availableInStore: true,
medias: [
{
id: 'fzrgusiuu0m',
url: 'https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/sample.png',
type: 'image',
title: '1dd7dcd0-e71d-4cf7-a06b-6d47723d6a29.png',
isFeatured: true,
priceIds: '6578278e879ad2646715ba9c'
}
],
variants: [{id: '38s63qmxfr4', name: 'Size', options: [{id: 'h4z7u0im2q8', name: 'XL'}]}],
collectionIds: ['65d71377c326ea78e1c47df5', '65d71377c326ea78e1c47d34'],
isTaxesEnabled: true,
taxes: ['654492a4e6bef380114de15a'],
automaticTaxCategoryId: '65d71377c326ea78e1c47df5',
isLabelEnabled: true,
slug: 'awesome-product',
seo: {
title: 'Best Product - Buy Now',
description: 'This is the best product you can buy online with amazing features and great value'
},
taxInclusive: true,
prices: ['<string>']
})
};
fetch('https://services.leadconnectorhq.com/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/products/{productId}"
payload = {
"name": "Awesome Product",
"locationId": "3SwdhCsvxI8Au3KsPJt6",
"description": "Product description goes here.",
"image": "https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png",
"statementDescriptor": "abcde",
"availableInStore": True,
"medias": [
{
"id": "fzrgusiuu0m",
"url": "https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/sample.png",
"type": "image",
"title": "1dd7dcd0-e71d-4cf7-a06b-6d47723d6a29.png",
"isFeatured": True,
"priceIds": "6578278e879ad2646715ba9c"
}
],
"variants": [
{
"id": "38s63qmxfr4",
"name": "Size",
"options": [
{
"id": "h4z7u0im2q8",
"name": "XL"
}
]
}
],
"collectionIds": ["65d71377c326ea78e1c47df5", "65d71377c326ea78e1c47d34"],
"isTaxesEnabled": True,
"taxes": ["654492a4e6bef380114de15a"],
"automaticTaxCategoryId": "65d71377c326ea78e1c47df5",
"isLabelEnabled": True,
"slug": "awesome-product",
"seo": {
"title": "Best Product - Buy Now",
"description": "This is the best product you can buy online with amazing features and great value"
},
"taxInclusive": True,
"prices": ["<string>"]
}
headers = {
"Version": "<version>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"_id": "655b33a82209e60b6adb87a5",
"locationId": "3SwdhCsvxI8Au3KsPJt6",
"name": "Awesome Product",
"productType": "PHYSICAL",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2024-01-23T09:57:04.846Z",
"description": "This is a really awesome product",
"variants": [
{
"id": "38s63qmxfr4",
"name": "Size",
"options": [
{
"id": "h4z7u0im2q8",
"name": "XL"
}
]
}
],
"availableInStore": true,
"statementDescriptor": "abcde",
"image": "https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png",
"collectionIds": [
"65d71377c326ea78e1c47df5",
"65d71377c326ea78e1c47d34"
],
"isTaxesEnabled": true,
"taxes": [
"654492a4e6bef380114de15a"
],
"automaticTaxCategoryId": "65d71377c326ea78e1c47df5",
"label": {
"title": "Featured",
"startDate": "2024-06-26T05:43:35.000Z",
"endDate": "2024-06-30T05:43:39.000Z"
},
"slug": "washing-machine"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Path Parameters
Body
application/json
Response
Successful response
Last modified on March 8, 2026
Was this page helpful?
Update Product by ID
curl --request PUT \
--url https://services.leadconnectorhq.com/products/{productId} \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"name": "Awesome Product",
"locationId": "3SwdhCsvxI8Au3KsPJt6",
"description": "Product description goes here.",
"image": "https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png",
"statementDescriptor": "abcde",
"availableInStore": true,
"medias": [
{
"id": "fzrgusiuu0m",
"url": "https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/sample.png",
"type": "image",
"title": "1dd7dcd0-e71d-4cf7-a06b-6d47723d6a29.png",
"isFeatured": true,
"priceIds": "6578278e879ad2646715ba9c"
}
],
"variants": [
{
"id": "38s63qmxfr4",
"name": "Size",
"options": [
{
"id": "h4z7u0im2q8",
"name": "XL"
}
]
}
],
"collectionIds": [
"65d71377c326ea78e1c47df5",
"65d71377c326ea78e1c47d34"
],
"isTaxesEnabled": true,
"taxes": [
"654492a4e6bef380114de15a"
],
"automaticTaxCategoryId": "65d71377c326ea78e1c47df5",
"isLabelEnabled": true,
"slug": "awesome-product",
"seo": {
"title": "Best Product - Buy Now",
"description": "This is the best product you can buy online with amazing features and great value"
},
"taxInclusive": true,
"prices": [
"<string>"
]
}
'const options = {
method: 'PUT',
headers: {Version: '<version>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Awesome Product',
locationId: '3SwdhCsvxI8Au3KsPJt6',
description: 'Product description goes here.',
image: 'https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png',
statementDescriptor: 'abcde',
availableInStore: true,
medias: [
{
id: 'fzrgusiuu0m',
url: 'https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/sample.png',
type: 'image',
title: '1dd7dcd0-e71d-4cf7-a06b-6d47723d6a29.png',
isFeatured: true,
priceIds: '6578278e879ad2646715ba9c'
}
],
variants: [{id: '38s63qmxfr4', name: 'Size', options: [{id: 'h4z7u0im2q8', name: 'XL'}]}],
collectionIds: ['65d71377c326ea78e1c47df5', '65d71377c326ea78e1c47d34'],
isTaxesEnabled: true,
taxes: ['654492a4e6bef380114de15a'],
automaticTaxCategoryId: '65d71377c326ea78e1c47df5',
isLabelEnabled: true,
slug: 'awesome-product',
seo: {
title: 'Best Product - Buy Now',
description: 'This is the best product you can buy online with amazing features and great value'
},
taxInclusive: true,
prices: ['<string>']
})
};
fetch('https://services.leadconnectorhq.com/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/products/{productId}"
payload = {
"name": "Awesome Product",
"locationId": "3SwdhCsvxI8Au3KsPJt6",
"description": "Product description goes here.",
"image": "https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png",
"statementDescriptor": "abcde",
"availableInStore": True,
"medias": [
{
"id": "fzrgusiuu0m",
"url": "https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/sample.png",
"type": "image",
"title": "1dd7dcd0-e71d-4cf7-a06b-6d47723d6a29.png",
"isFeatured": True,
"priceIds": "6578278e879ad2646715ba9c"
}
],
"variants": [
{
"id": "38s63qmxfr4",
"name": "Size",
"options": [
{
"id": "h4z7u0im2q8",
"name": "XL"
}
]
}
],
"collectionIds": ["65d71377c326ea78e1c47df5", "65d71377c326ea78e1c47d34"],
"isTaxesEnabled": True,
"taxes": ["654492a4e6bef380114de15a"],
"automaticTaxCategoryId": "65d71377c326ea78e1c47df5",
"isLabelEnabled": True,
"slug": "awesome-product",
"seo": {
"title": "Best Product - Buy Now",
"description": "This is the best product you can buy online with amazing features and great value"
},
"taxInclusive": True,
"prices": ["<string>"]
}
headers = {
"Version": "<version>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"_id": "655b33a82209e60b6adb87a5",
"locationId": "3SwdhCsvxI8Au3KsPJt6",
"name": "Awesome Product",
"productType": "PHYSICAL",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2024-01-23T09:57:04.846Z",
"description": "This is a really awesome product",
"variants": [
{
"id": "38s63qmxfr4",
"name": "Size",
"options": [
{
"id": "h4z7u0im2q8",
"name": "XL"
}
]
}
],
"availableInStore": true,
"statementDescriptor": "abcde",
"image": "https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png",
"collectionIds": [
"65d71377c326ea78e1c47df5",
"65d71377c326ea78e1c47d34"
],
"isTaxesEnabled": true,
"taxes": [
"654492a4e6bef380114de15a"
],
"automaticTaxCategoryId": "65d71377c326ea78e1c47df5",
"label": {
"title": "Featured",
"startDate": "2024-06-26T05:43:35.000Z",
"endDate": "2024-06-30T05:43:39.000Z"
},
"slug": "washing-machine"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}